Summary:        Internationalized Domain Names in Applications (IDNA)
Name:           python-idna
Version:        3.3
Release:        3%{?dist}
License:        BSD and Python and Unicode
URL:            https://github.com/kjd/idna
Source0:        https://pypi.io/packages/source/i/idna/idna-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
A library to support the Internationalised Domain Names in Applications (IDNA)
protocol as specified in RFC 5891 <http://tools.ietf.org/html/rfc5891>.  This
version of the protocol is often referred to as "IDNA2008" and can produce
different results from the earlier standard from 2003.

The library is also intended to act as a suitable drop-in replacement for the
"encodings.idna" module that comes with the Python standard library but
currently only supports the older 2003 specification.

%package -n python3-idna
Summary:        Internationalized Domain Names in Applications (IDNA)
Provides:       python3-idna

%description -n python3-idna
A library to support the Internationalised Domain Names in Applications (IDNA)
protocol as specified in RFC 5891 <http://tools.ietf.org/html/rfc5891>.  This
version of the protocol is often referred to as "IDNA2008" and can produce
different results from the earlier standard from 2003.

The library is also intended to act as a suitable drop-in replacement for the
"encodings.idna" module that comes with the Python standard library but
currently only supports the older 2003 specification.

%prep
%autosetup -p1 -n idna-%{version}
# Remove bundled egg-info
rm -rf idna.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test


%files -n python3-idna
%license LICENSE.md
%doc README.rst HISTORY.rst
%{python3_sitelib}/idna
%{python3_sitelib}/idna-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3-2
- Rebuilt for OpenCloudOS Stream 23

* Fri May 20 2022 edwinhei <edwinhei@tencent.com> - 3.3-1
- Initial build
